#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: control-monad-free
version: 0.6.1
id: control-monad-free-0.6.1-64fD2vBsrr9nRjiHlGguM
key: control-monad-free-0.6.1-64fD2vBsrr9nRjiHlGguM
license: LicenseRef-PublicDomain
maintainer: pepeiborra@gmail.com
author: Luke Palmer, Pepe Iborra
stability: experimental
homepage: http://github.com/pepeiborra/control-monad-free
synopsis: Free monads and monad transformers
description:
    This package provides datatypes to construct Free monads,
    Free monad transformers, and useful instances. In addition it
    provides the constructs to avoid quadratic complexity of left
    associative bind, as explained in:
    .
    * Janis Voigtlander, /Asymptotic Improvement of Computations over Free Monads, MPC'\''08/
category: Control, Monads
abi: dee0e8a7e7667d7afaa1ea9e9f5e6dde
exposed: True
exposed-modules:
    Control.Monad.Free Control.Monad.Free.Improve
    Control.Monad.Free.Zip
import-dirs: /usr/lib/ghc-8.4.2/site-local/control-monad-free-0.6.1
library-dirs: /usr/lib/ghc-8.4.2/site-local/control-monad-free-0.6.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/control-monad-free-0.6.1
hs-libraries: HScontrol-monad-free-0.6.1-64fD2vBsrr9nRjiHlGguM
depends:
    base-4.11.1.0 prelude-extras-0.4.0.3-CB1Z7OqksdX7iImPzZk6eV
    transformers-0.5.5.0
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             prelude-extras-0.4.0.3-CB1Z7OqksdX7iImPzZk6eV=45d35e1175e8da203784f7711e5b800a
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
haddock-interfaces: /usr/share/doc/haskell-control-monad-free/html/control-monad-free.haddock
haddock-html: /usr/share/doc/haskell-control-monad-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

